#[derive(Debug, thiserror::Error)]
pub enum RegistrationError {
    #[error("The homeserver requires additional authentication information")]
    AdditionalAuthenticationInformation,
    #[error("UserId is missing")]
    MissingUserId,
    #[error("The desired user ID is not a valid user name")]
    InvalidUserId,
    #[error("The desired user ID is already taken")]
    UserIdTaken,
}
