use axum::{routing::get, Json};

use crate::responses::versions::Versions;

pub fn routes() -> axum::Router {
    axum::Router::new().route("/versions", get(get_client_versions))
}

#[tracing::instrument]
async fn get_client_versions() -> Json<Versions> {
    Json(Versions::default())
}
